package cn.com.poc.agent_application.query;

import cn.com.yict.framemax.data.model.BaseItemClass;

import javax.persistence.Column;
import javax.persistence.Entity;
import java.io.Serializable;

/**
 * Query Item class for PulishAgentApplicationQuery
 */
@Entity
public class PublishAgentApplicationQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     * id
     */
    private java.lang.Integer id;

    @Column(name = "id")
    public java.lang.Integer getId() {
        return this.id;
    }

    public void setId(java.lang.Integer id) {
        this.id = id;
    }

    /**
     * nick_name
     * nick_name
     */
    private java.lang.String nickName;

    @Column(name = "nick_name")
    public java.lang.String getNickName() {
        return this.nickName;
    }

    public void setNickName(java.lang.String nickName) {
        this.nickName = nickName;
    }

    /**
     * agent_id
     * agent_id
     */
    private java.lang.String agentId;

    @Column(name = "agent_id")
    public java.lang.String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(java.lang.String agentId) {
        this.agentId = agentId;
    }

    /**
     * agent_avatar
     * agent_avatar
     */
    private java.lang.String agentAvatar;

    @Column(name = "agent_avatar")
    public java.lang.String getAgentAvatar() {
        return this.agentAvatar;
    }

    public void setAgentAvatar(java.lang.String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

    /**
     * agent_title
     * agent_title
     */
    private java.lang.String agentTitle;

    @Column(name = "agent_title")
    public java.lang.String getAgentTitle() {
        return this.agentTitle;
    }

    public void setAgentTitle(java.lang.String agentTitle) {
        this.agentTitle = agentTitle;
    }

    /**
     * agent_desc
     * agent_desc
     */
    private java.lang.String agentDesc;

    @Column(name = "agent_desc")
    public java.lang.String getAgentDesc() {
        return this.agentDesc;
    }

    public void setAgentDesc(java.lang.String agentDesc) {
        this.agentDesc = agentDesc;
    }

    /**
     * MODIFIED_TIME
     * MODIFIED_TIME
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

} 